| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csParasiticDataBuffer Class Reference

A databuffer pointing into another databuffer. More...

`#include <csutil/parasiticdatabuffer.h>`

Inheritance diagram for csParasiticDataBuffer:

[legend]
List of all members.

## Public Member Functions
| csParasiticDataBuffer (iDataBuffer *parent, size_t offs, size_t size=(size_t)~0)
| Construct this data buffer.
virtual | ~csParasiticDataBuffer ()

## Detailed Description

A databuffer pointing into another databuffer.

Definition at line 81 of file parasiticdatabuffer.h.

## Constructor & Destructor Documentation

csParasiticDataBuffer::csParasiticDataBuffer | ( | iDataBuffer * | parent,
|  | size_t | offs,
|  | size_t | size = `(size_t)~0` |
| ) |  |  | `[inline]`

Construct this data buffer.

Parameters:

  | parent | The buffer to point into.
  | offs | Offset into the buffer of the data to return.
  | size | Data size to return. Can not be larger than the parent's size minus the offset. This maximum possible size is also taken when size == ~0.

Definition at line 94 of file parasiticdatabuffer.h.

The documentation for this class was generated from the following file:

- csutil/parasiticdatabuffer.h